"""
URL маршруты для расписания.
"""
from django.urls import path, include
from rest_framework.routers import DefaultRouter

from .views import (
    LessonViewSet,
    LessonTemplateViewSet,
    TimeSlotViewSet,
    AvailabilityViewSet,
    LessonFileViewSet,
    LessonHomeworkSubmissionViewSet,
    SubjectViewSet,
    MentorSubjectViewSet,
)

# Router для ViewSets
router = DefaultRouter()
router.register(r'lessons', LessonViewSet, basename='lesson')
router.register(r'lesson-files', LessonFileViewSet, basename='lesson-file')
router.register(r'lesson-homework-submissions', LessonHomeworkSubmissionViewSet, basename='lesson-homework-submission')
router.register(r'templates', LessonTemplateViewSet, basename='lesson-template')
router.register(r'time-slots', TimeSlotViewSet, basename='time-slot')
router.register(r'availability', AvailabilityViewSet, basename='availability')
router.register(r'subjects', SubjectViewSet, basename='subject')
router.register(r'mentor-subjects', MentorSubjectViewSet, basename='mentor-subject')

urlpatterns = [
    path('', include(router.urls)),
]
